Emgmbh\UserBundle\Entity\User:
    type: entity
    repositoryClass: UserRepository
    uniqueConstraints:
        uniq_username:
            columns:
                - username
    id:
        id:
            type: integer
            options:
                unsigned: true
            id: true
            generator:
                strategy: IDENTITY
    fields:
        email:
            type: string
            nullable: false
            length: 127
        username:
            type: string
            nullable: false
            length: 32
        workerNumber:
            type: integer
            nullable: false
            options:
                unsigned: false
        password:
            type: string
            nullable: false
            length: 50
            options:
                fixed: true
        firstName:
            type: string
            nullable: false
            length: 25
        lastName:
            type: string
            nullable: false
            length: 50
        phone:
            type: string
            nullable: false
            length: 25
        logins:
            type: integer
            nullable: false
            options:
                unsigned: true
                default: '0'
        lastLogin:
            type: integer
            nullable: true
            options:
                unsigned: true
        isActive:
            type: boolean
            nullable: false
            options:
                default: '1'
        permissions:
            type: simple_array
            nullable: true
        appVersion:
            type: string
            nullable: true
            length: 10
        team:
            type: string
            nullable: true
            length: 10

    manyToOne:
        role:
            targetEntity: Role
            cascade: {  }
            fetch: LAZY
            inversedBy: users
            joinColumns:
                role_id:
                    referencedColumnName: id

    oneToMany:
        costGroups:
            targetEntity: Emgmbh\ReportBundle\Entity\CostGroup
            mappedBy: user

    lifecycleCallbacks: {  }
